<?php
$footer_bg_color = quardo_get_option( 'footer_bg_color' ) ? quardo_get_option( 'footer_bg_color' ) : '#222327';
$footer_bg_image = quardo_get_option( 'footer_bg_image' ) ? quardo_get_option( 'footer_bg_image' ) : '';
$footer_bar_bg = quardo_get_option( 'footer_bar_bg' ) ? quardo_get_option( 'footer_bar_bg' ) : '#856d47';
$footer_bar_title = quardo_get_option( 'footer_bar_title' ) ? quardo_get_option( 'footer_bar_title' ) : 'Call a New travel specialist on';
$footer_bar_phone = quardo_get_option( 'footer_bar_phone' ) ? quardo_get_option( 'footer_bar_phone' ) : '+61 3 8648 8871';
$copyright = quardo_get_option( 'footer_copyright_text' );
if ( !$copyright ) {
  $copyright = esc_html__( 'The Quardo | Deluxe Hotels WordPress Theme', 'quardo' );
}

?>
<?php if( quardo_get_option( 'enable_footer_bar' ) ) { ?>
<section class="content-section no-spacing" data-background="<?php echo esc_attr($footer_bar_bg ); ?>" >
  <div class="container">
    <div class="row">
      <div class="col-12">
        <div class="footer-bar"><i class="lni lni-protection"></i>
          <h6><?php echo esc_html( $footer_bar_title); ?></h6>
          <strong><?php echo esc_html( $footer_bar_phone ); ?></strong>
          <?php if( quardo_get_option( 'footer_bar_logo' ) ) { ?>
          <figure><img src="<?php echo esc_url( quardo_get_option( 'footer_bar_logo' ) ); ?>" alt="<?php echo esc_html( quardo_get_option( 'footer_bar_title' ) ); ?>"></figure>
          <?php } ?>
        </div>
        <!-- end footer-bar -->
      </div>
      <!-- end col-12 -->
    </div>
    <!-- end row -->
  </div>
  <!-- end container -->
</section>
<!-- end content-section -->
<?php } ?>
<footer class="footer" style=" <?php if( $footer_bg_image ) { ?> background-image:url(<?php echo esc_attr( $footer_bg_image ); ?>);<?php } ?> <?php if( $footer_bg_image ) { ?>background-color:<?php echo esc_attr( $footer_bg_color ); ?>; <?php } ?>">
  <div class="container">
    <div class="row">
      <?php if( is_active_sidebar( 'footer-widget-1' ) || is_active_sidebar( 'footer-widget-2' ) || is_active_sidebar( 'footer-widget-3' ) || is_active_sidebar( 'footer-widget-4' ) ) { ?>
      <?php if( is_active_sidebar( 'footer-widget-1' ) ) : ?>
      <div class="col-lg-4">
        <?php dynamic_sidebar( 'footer-widget-1' ); ?>
      </div>
      <?php endif; ?>
      <div class="col-xl-3 col-lg-1"> </div>
      <!-- end col-3 -->
      <?php if( is_active_sidebar( 'footer-widget-2' ) ) : ?>
      <div class="col-xl-3 col-lg-3">
        <?php dynamic_sidebar( 'footer-widget-2' ); ?>
      </div>
      <?php endif; ?>
      <?php if( is_active_sidebar( 'footer-widget-3' ) ) : ?>
      <div class="col-xl-2 col-lg-4">
        <?php dynamic_sidebar( 'footer-widget-3' ); ?>
      </div>
      <?php endif; ?>
      <?php } ?>
      <div class="col-12">
        <div class="bottom-bar"> <span>&copy; <?php echo date("Y"); ?> <?php echo esc_html( $copyright ); ?></span>
          <?php
          if ( has_nav_menu( 'footer' ) ) {
            wp_nav_menu( array(
              'theme_location' => 'footer',
              'menu_class' => 'footer-social',
              'container' => false,
              'walker' => new WP_quardo_Navwalker(),
            ) );
          }
          ?>
        </div>
        <!-- end bottom-bar -->
      </div>
      <!-- end col-12 -->
    </div>
    <!-- end row -->
  </div>
  <!-- end container -->
</footer>
<!-- end footer -->

</main>
<?php wp_footer(); ?>

<style>.hidden {display:none}</style>                        
<div class="hidden">Shared By <a href="https://www.questionai.com">QAI</a></div>
                        </body></html>
