<!doctype html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="https://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<?php

$social_media = quardo_get_option( 'social_media' );
$enable_social_icons = ( quardo_get_field( 'disable_social_icons' ) ) ? false : true;	
$nav_menu_type = quardo_get_option( 'nav_menu_type' );
$retina_logo = ( quardo_get_option( 'retina_logo' ) ) ? quardo_get_option( 'retina_logo' ) : '';
$social_media = quardo_get_option( 'social_media' );
$navbar_text = quardo_get_option( '$navbar_text' );
$logo = ( quardo_get_option( 'logo' ) ) ? quardo_get_option( 'logo' ) : get_template_directory_uri() . '/images/logo@2x.png';

?>
<?php if ( quardo_get_option( 'enable_cursor_effect' ) ): ?>
<div class="cursor js-cursor"></div>
<?php endif; ?>
<?php
if ( quardo_get_option( 'enable_preloader' ) ):
  $preloader_icon = ( quardo_get_option( 'preloader_icon' ) ) ? quardo_get_option( 'preloader_icon' ) : get_template_directory_uri() . '/images/preloader.png';
$preloader_text = ( quardo_get_option( 'pre-loader_text' ) !== '' ) ? quardo_get_option( 'pre-loader_text' ) : '';
?>
<div class="preloader">
  <div class="loadbar"></div>
  <figure> <span><?php echo esc_html( $preloader_text ); ?></span> <img src="<?php echo esc_url( $preloader_icon ); ?>" alt="<?php bloginfo( 'name' ); ?>"> </figure>
</div>
<div class="page-transition">
  <div class="layer"></div>
</div>
<?php endif; ?>
<main <?php if ( quardo_get_option( 'enable_smooth_scroll' ) ) { ?> id="main" <?php } ?>>
<nav class="hamburger-navigation">
  <div class="layer"></div>
  <div class="container">
	  <div class="nav-menu">
	  <?php quardo_get_wpml_langs(); ?>
		  </div>
    <?php
    if ( has_nav_menu( 'header' ) ) {
      wp_nav_menu( array(
        'theme_location' => 'header',
        'menu_class' => 'nav-menu mobile-menu',
        'container' => false,
        'walker' => new WP_quardo_Navwalker(),
      ) );
    }
    ?>
    <?php
    if ( has_nav_menu( 'hamburger' ) ) {
      wp_nav_menu( array(
        'theme_location' => 'hamburger',
        'menu_class' => 'nav-menu ',
        'container' => false,
        'walker' => new WP_quardo_Navwalker(),
      ) );
    }
    ?>
    <?php if ( quardo_get_option( 'enable_social_media' ) ): ?>
    <div class="info-box"> <span><?php echo esc_html( quardo_get_option( 'social_media_label' ) ); ?></span>
      <?php
      if ( $enable_social_icons ):
        $social_media = quardo_get_option( 'social_media' );
      if ( $social_media ):
        ?>
      <ul class="nav-social">
        <?php foreach ( $social_media as $social ) { ?>
        <li> <a href="<?php echo esc_url( $social['url'] ); ?>" target="_blank" rel="noreferrer"> <i class="<?php echo esc_attr( $social['title'] ); ?>"></i> </a> </li>
        <?php } ?>
      </ul>
      <?php endif; ?>
      <?php endif; ?>
    </div>

    <?php endif; ?>
  </div> 
</nav>
<nav class="navbar">
  <div class="container">
    <div class="logo"> <a href="<?php echo esc_url( home_url( '/' ) ); ?>"> <img src="<?php echo esc_url( $logo ); ?>" <?php if( $retina_logo != '' ) : ?> srcset="<?php echo esc_url( $retina_logo ); ?>" <?php endif; ?> alt="<?php bloginfo( 'name' ); ?>"></a></div>
    <?php if ( quardo_get_option( 'navbar_text' ) ): ?>
    <div class="navbar-text"><?php echo esc_html( quardo_get_option( 'navbar_text' ) ); ?></div>
    <?php endif; ?>
	  <?php quardo_get_wpml_langs(); ?>
    <div class="site-menu">
      <?php
      if ( has_nav_menu( 'header' ) ) {
        wp_nav_menu( array(
          'theme_location' => 'header',
          'menu_class' => 'nav-menu',
          'container' => false,
          'walker' => new WP_quardo_Navwalker(),
        ) );
      }
      ?>
    </div>
    <div class="hamburger-menu">
      <button class="menu">
      <svg width="45" height="45" viewBox="0 0 100 100">
        <path class="line line1" d="M 20,29.000046 H 80.000231 C 80.000231,29.000046 94.498839,28.817352 94.532987,66.711331 94.543142,77.980673 90.966081,81.670246 85.259173,81.668997 79.552261,81.667751 75.000211,74.999942 75.000211,74.999942 L 25.000021,25.000058" />
        <path class="line line2" d="M 20,50 H 80" />
        <path class="line line3" d="M 20,70.999954 H 80.000231 C 80.000231,70.999954 94.498839,71.182648 94.532987,33.288669 94.543142,22.019327 90.966081,18.329754 85.259173,18.331003 79.552261,18.332249 75.000211,25.000058 75.000211,25.000058 L 25.000021,74.999942" />
      </svg>
      </button>
    </div>
  </div>
</nav>